# Uses of Interface
org.osgi.framework.Filter

Packages that use Filter
Package
Description
org.apache.felix.framework
org.apache.felix.framework.util
org.osgi.framework
Framework Package Version 1.8.
org.osgi.util.tracker
Tracker Package Version 1.5.

## Uses of Filter in org.apache.felix.framework

Classes in org.apache.felix.framework that implement Filter
Modifier and Type
Class
Description
`class`
`FilterImpl`

## Uses of Filter in org.apache.felix.framework.util

Methods in org.apache.felix.framework.util that return Filter
Modifier and Type
Method
Description
`Filter`
EventDispatcher.`addListener(BundleContext bc, Class clazz, EventListener l, Filter filter)`
`Filter`
ListenerInfo.`getParsedFilter()`
`Filter`
EventDispatcher.`updateListener(BundleContext bc, Class clazz, EventListener l, Filter filter)`
Methods in org.apache.felix.framework.util with parameters of type Filter
Modifier and Type
Method
Description
`Filter`
EventDispatcher.`addListener(BundleContext bc, Class clazz, EventListener l, Filter filter)`
`Filter`
EventDispatcher.`updateListener(BundleContext bc, Class clazz, EventListener l, Filter filter)`
Constructors in org.apache.felix.framework.util with parameters of type Filter
Modifier
Constructor
Description
``
`ListenerInfo(Bundle bundle, BundleContext context, Class listenerClass, EventListener listener, Filter filter, Object acc, boolean removed)`

## Uses of Filter in org.osgi.framework

Methods in org.osgi.framework that return Filter
Modifier and Type
Method
Description
`Filter`
BundleContext.`createFilter(String filter)`
Creates a `Filter` object.
`static Filter`
FrameworkUtil.`createFilter(String filter)`
Creates a `Filter` object.

## Uses of Filter in org.osgi.util.tracker

Fields in org.osgi.util.tracker declared as Filter
Modifier and Type
Field
Description
`protected final Filter`
ServiceTracker.`filter`
The Filter used by this `ServiceTracker` which specifies the search criteria for the services to track.
Constructors in org.osgi.util.tracker with parameters of type Filter
Modifier
Constructor
Description
``
`ServiceTracker(BundleContext context, Filter filter, ServiceTrackerCustomizer<S,T> customizer)`
Create a `ServiceTracker` on the specified `Filter` object.